require("ai.JINB.JINB")
--无限架桥
function c87592215.initial_effect(c)
	--Activate
	local e1=Effect.CreateEffect(c)
	e1:SetType(EFFECT_TYPE_ACTIVATE)
	e1:SetCode(EVENT_FREE_CHAIN)
	c:RegisterEffect(e1)

	local e2=Effect.CreateEffect(c)
	e2:SetDescription(aux.Stringid(87592215,0))
	e2:SetType(EFFECT_TYPE_FIELD+EFFECT_TYPE_TRIGGER_F)
	e2:SetCode(EVENT_TO_GRAVE)
	e2:SetRange(LOCATION_FZONE)
	e2:SetCountLimit(1)
	e2:SetCondition(c87592215.con)
	e2:SetOperation(c87592215.op)
	c:RegisterEffect(e2)
end

function c87592215.con(e,tp,eg,ep,ev,re,r,rp)
	local g=eg:Filter(c87592215.filter,nil)
	return g:GetCount()==1
	and not Duel.IsExistingMatchingCard(Card.IsSetCard,g:GetFirst():GetControler(),LOCATION_HAND,0,1,nil,0x871)
end
function c87592215.filter(c)
	return c:IsType(TYPE_FUSION)
end
function c87592215.op(e,tp,eg,ep,ev,re,r,rp)
	local p=eg:Filter(c87592215.filter,nil):GetFirst():GetControler()
	c=Duel.CreateToken(p,ac1[math.random(#ac1)])
	Duel.SendtoHand(c,p,REASON_RULE)
	--action
	local e1=Effect.CreateEffect(c)
	e1:SetType(EFFECT_TYPE_SINGLE)
	e1:SetCode(EFFECT_CANNOT_SSET)
	c:RegisterEffect(e1)
	local e2=Effect.CreateEffect(c)
	e2:SetType(EFFECT_TYPE_SINGLE)
	e2:SetCode(EFFECT_QP_ACT_IN_NTPHAND)
	c:RegisterEffect(e2)
end